description     "CIRCLE mancelery for common jobs"

respawn
respawn limit 30 30

setgid cloud
setuid cloud

kill timeout 360
kill signal SIGTERM


script
    cd /home/kohlkriszto/Documents/cloud/circle/circle
    . /home/kohlkriszto/Documents/cloud_venv/bin/activate
    . /home/kohlkriszto/Documents/cloud_venv/bin/postactivate
    celery -f --app=manager.mancelery purge
    exec celery --app=manager.mancelery worker --autoreload --loglevel=info --hostname=mancelery -B -c 3
end script

